วิธีติดตั้ง VS Code สำหรับการใช้งาน Flutter และภาษา Dart เพื่อเขียนแอพ

ปรกติแล้วการใช้งาน Flutter และ ภาษา Dart จะสามารถนิยมใช้โปรแกรม Android Studio และ VS Code ในการเขียน แต่ผมจะเลือกใช้ VS Code เป็นหลักเพราะ

  • รองรับการเขียนโปรแกรมหลากหลายกว่า
  • มี Extension ให้ใช้งานเยอะและหลากหลายกว่า 
  • โหลดเร็ว และกินกำลังเครื่องน้อยกว่า

วิธีการติดตั้ง

1. ดาวน์โหลด VS Code ได้ที่ code.visualstudio.com

2. เมื่อทำการติดตั้ง VS Code เรียบร้อยแล้ว ให้เปิดโปรแกรมขึ้นมา

3. เปิดหน้าต่าง Extensions ของ VS Code หรือเข้าไปที่ File > Preferrences > Extensions ( Keyboard Shortcut คือ Ctrl +Shift + X ) หรือคลิกที่ไอคอนด้านซ้ายมือตามรูปภาพด้านล่าง


4. VS Code จะแสดงรายการ Extensions ที่ติดตั้งแล้ว และรายการแนะนำขึ้นมาให้เรา


5. .ให้พิมพ์คำว่า flutter ลงไปในช่องค้นหา ระบบจะแสดง Extension ที่เกี่ยวข้องขึ้นมา ให้เราเลือกรายการแรกแล้วคลิกที่ปุ่ม instal (สีเขียว) ได้เลย


6. เมื่อติดตั้งเรียบร้อยแล้ว ปุ่ม install จะหายไปและขึ้นไอคอนรูปเฟืองขึ้นมาแทน


7. ในการติดตั้ง flutter จะมีการติดตั้งภาษา dart ( extension ที่ชื่อ dart ) หาให้เองโดยอัตโนมัติ ซึ่งเราไม่ต้องเสียเวลาติดตั้งเอง


เท่านี้เราก็สามารถใช้ VS Code เรียกใช้งาน flutter และรองรับ syntax ภาษา dart เรียบร้อยแล้ว